function find_fnew
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
%handle for the aliased play button
push_hndl = findobj(gcbf,'Tag','push_fnew');
set(push_hndl,'Enable','Off');

f_hndl = findobj(gcbf,'Tag','slid_f');
fs_hndl = findobj(gcbf,'Tag','slid_fs');

f = get(f_hndl,'Userdata');
fs = get(fs_hndl,'Userdata');
f_new = [];
if (fs < 2 * f)
   set(push_hndl,'Enable','On');

   f_new = f;
   
   while ( f_new > fs/2 | f_new < -fs/2)
      f_new = f_new - fs;
   end
  
end

set(push_hndl,'String',['Play ' num2str(f_new) ' Hz']);

set(push_hndl,'Userdata',f_new);


