function fig = stftex_gui()
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

load stftex_gui

h0 = figure('Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'HandleVisibility','callback', ...
	'Name','STFT stftex_gui', ...
	'NumberTitle','off', ...
	'PointerShapeCData',mat1, ...
	'Position',[29 102 455 214], ...
	'Tag','Fig1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'FontSize',14, ...
	'ListboxTop',0, ...
	'Position',[26.25 128.25 280.5 18.75], ...
	'String','SHORT TIME FOURIER TRANSFORM', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[24 32.25 81 81], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[123.75 33.75 99 79.5], ...
	'String',' ', ...
	'Style','frame', ...
	'Tag','Frame2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[242.25 33.75 78.75 79.5], ...
	'Style','frame', ...
	'Tag','Frame3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[25.5 8.25 298.5 15], ...
	'String','Source- egg.wav; 1.2501 secs ;fs= 8000 Hz', ...
	'Style','text', ...
	'Tag','static_info');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval (''save_stftex_sig'');', ...
	'ListboxTop',0, ...
	'Position',[29.25 89.25 70.5 15.75], ...
	'String','Select Signal', ...
	'Tag','push_sig_select', ...
	'UserData',mat2);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval(''show_stftex_sig'');', ...
	'ListboxTop',0, ...
	'Position',[31.5 65.25 68.25 15], ...
	'String','Show Signal', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval(''play_stftex_sig'');', ...
	'ListboxTop',0, ...
	'Position',[30.75 39.75 67.5 15.75], ...
	'String','Play Signal', ...
	'Tag','Pushbutton3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval(''set_stftex_len'');', ...
	'ListboxTop',0, ...
	'Max',256, ...
	'Min',10, ...
	'Position',[129 63 63.75 11.25], ...
	'Style','slider', ...
	'Tag','slider_len', ...
	'UserData',256, ...
	'Value',256);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval(''set_percent'');', ...
	'ListboxTop',0, ...
	'Max',90, ...
	'Position',[129.75 39.75 63.75 11.25], ...
	'SliderStep',[0.1 1], ...
	'Style','slider', ...
	'Tag','slider_%', ...
	'UserData',90, ...
	'Value',90);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval(''show_stftex_stft'');', ...
	'ListboxTop',0, ...
	'Position',[131.25 90 65.25 12.75], ...
	'String',mat3, ...
	'Style','popupmenu', ...
	'Tag','pop_win', ...
	'UserData',mat4, ...
	'Value',2);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[195.75 63.75 15 10.5], ...
	'String','256', ...
	'Style','text', ...
	'Tag','static_len');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[198 41.25 15 10.5], ...
	'String','90', ...
	'Style','text', ...
	'Tag','static_%');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval(''show_stftex_stft'');', ...
	'ListboxTop',0, ...
	'Position',[252.75 83.25 57.75 14.25], ...
	'String','Show STFT', ...
	'Tag','Pushbutton4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','clear;close all;', ...
	'ListboxTop',0, ...
	'Position',[255 51.75 54.75 15], ...
	'String','Quit Demo', ...
	'Tag','Pushbutton5');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval(''show_stftex_stft'');', ...
	'ListboxTop',0, ...
	'Position',[129.75 102 62.25 10.5], ...
	'String','Window', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[131.25 75.75 60.75 9], ...
	'String','Window length', ...
	'Style','text', ...
	'Tag','StaticText5');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[129 51.75 63 10.5], ...
	'String','% overlap', ...
	'Style','text', ...
	'Tag','StaticText6');
if nargout > 0, fig = h0; end
