function add_noise

%this function adds impulse noise to the signal
%==============================================

%get the handle to noise slider
noise_hndl = findobj(gcbf,'Tag' ,'slider_noise');

%get the handle to text showing noise %
noise_txt_hndl = findobj(gcbf,'Tag' ,'static_noise');


%find the noise % and show in text
noise_percent = get(noise_hndl,'Value');
set(noise_txt_hndl,'String',num2str(floor(noise_percent*100)));


%add noise to signal
%-------------------

%get the clean signal
sig_hndl = findobj(gcbf,'Tag','push_sig_select');
noisy_sig = get(sig_hndl,'Userdata');
sig_len = length(noisy_sig.data); %find signal length

num_ones = floor(noise_percent * sig_len/2);%number of 1's = -1's

%generate indecies that get set to 1 and -1
ones_index = floor(rand(1,num_ones)*(sig_len-1))+1;
minus_ones_index = floor(rand(1,num_ones)*(sig_len-1))+1;

noisy_sig.data(ones_index) = 1;
noisy_sig.data(minus_ones_index) = -1;

%save the noisy signal in the select signal button
quit_hndl = findobj(gcbf,'Tag','push_play_nle_noisy');
set(quit_hndl , 'Userdata' , noisy_sig);


disable_controls;







