function my_1d_filter

%this function median filters the noisy signal 
%=============================================

%read the noisy signal 
data_hndl = findobj (gcbf , 'Tag' ,'push_play_nle_noisy');
sig_info = get( data_hndl , 'Userdata');
data = sig_info.data;
figure(2);
subplot(3,1,1),plot(data);
act_data_hndl = findobj (gcbf , 'Tag' ,'push_sig_select');
act_data_info  = get(act_data_hndl,'Userdata');
act_data = act_data_info.data;
hold on;
plot(act_data,'r');
hold off;
legend('noisy','org');

%get the filter length
len_hndl = findobj(gcbf, 'Tag' , 'slider_fil_len');
fil_len = get(len_hndl , 'Userdata');

%get number of times 
times_hndl = findobj(gcbf, 'Tag' , 'slider_times');
fil_times = get(times_hndl , 'Userdata');
update_hndl = findobj(gcbf, 'Tag' , 'static_update');
set(update_hndl , 'String' , ['Completed- ' num2str(0)]);


%perform filtering
for i = 1 : fil_times
   data = my_1d_median( data , fil_len);
   set(update_hndl , 'String' , ['Completed- ' num2str(i)]);
   
end

sig_info.data = data;

%store this result in filter pushbutton
hndl = findobj(gcbf,'Tag','push_filter');
set(hndl,'Userdata',sig_info);

enable_controls;




