function fig = cdtft_gui()
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

load cdtft_gui

h0 = figure('Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'HandleVisibility','callback', ...
	'Name','DTFT cdtft_gui', ...
	'NumberTitle','off', ...
	'PointerShapeCData',mat1, ...
	'Position',[12 83 381 175], ...
	'Resize','off', ...
	'Tag','Fig1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'FontSize',14, ...
	'ListboxTop',0, ...
	'Position',[38.25 99.75 205.5 19.5], ...
	'String','DTFT of sound samples', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[33 30.75 93.75 57.75], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[150 30.75 93.75 57.75], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval ( ''get_dtftsound_signal'');', ...
	'ListboxTop',0, ...
	'Position',[42.75 65.25 75 15.75], ...
	'String','Select signal', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[34.5 6 210.75 17.25], ...
	'String','Source- bud.wav; 7.698 secs ;fs= 8012 Hz', ...
	'Style','text', ...
	'Tag','txt_info');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval (''play_cdtft_org'');', ...
	'ListboxTop',0, ...
	'Position',[43.5 39.75 75 15.75], ...
	'String','Play signal', ...
	'Tag','push_org');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval(''show_cdtft'');', ...
	'ListboxTop',0, ...
	'Position',[161.25 63.75 75 15.75], ...
	'String','Show DTFT', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','clear; close all;', ...
	'ListboxTop',0, ...
	'Position',[162 35.25 75 15.75], ...
	'String','Quit demo', ...
	'Tag','push_quit', ...
	'UserData',mat2);
if nargout > 0, fig = h0; end
