function fig = sdtft_gui()
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

load sdtft_gui

h0 = figure('Units','points', ...
	'Color',[0.501960784313725 0.501960784313725 0.501960784313725], ...
	'Colormap',mat0, ...
	'HandleVisibility','callback', ...
	'Name','DTFT sdtft_gui', ...
	'NumberTitle','off', ...
	'PointerShapeCData',mat1, ...
	'Position',[8.25 37.5 310.5 114.75], ...
	'Resize','off', ...
	'Tag','Fig1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'FontSize',14, ...
	'ListboxTop',0, ...
	'Position',[48 84 211.5 18], ...
	'String','Discrete Time Fourier Transform', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval(''save_sdtft_sig'');', ...
	'ListboxTop',0, ...
	'Position',[24 21.75 72 17.25], ...
	'String',mat2, ...
	'Style','popupmenu', ...
	'Tag','PopupMenu1', ...
	'UserData',mat3, ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval(''save_sdtft_sig'');', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[113.25 24.75 66.75 15], ...
	'Style','slider', ...
	'Tag','Slider1', ...
	'Value',0.13);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[181.5 25.5 17.25 15], ...
	'String','16', ...
	'Style','text', ...
	'Tag','StaticText2', ...
	'Value',50, ...
	'Visible','off');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','eval(''save_sdtft_sig'');', ...
	'ListboxTop',0, ...
	'Position',[224.25 24 29.25 15.75], ...
	'String','0.7', ...
	'Style','edit', ...
	'Tag','EditText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[37.5 42 48.75 12.75], ...
	'String','Signal', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[114.75 42.75 62.25 12], ...
	'String','Signal length', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[223.5 45 27.75 12.75], ...
	'String','Ampl', ...
	'Style','text', ...
	'Tag','StaticText5');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','clear; close all;', ...
	'ListboxTop',0, ...
	'Position',[221.25 6.75 51.75 13.5], ...
	'String','QUIT DEMO', ...
	'Tag','Pushbutton1');
if nargout > 0, fig = h0; end
