clear
close all

N = 128; k =1;
time = 0:1:N-1;
%time = -N/2:1:N/2-1;
%time(end) = [];
sig = sin(2*pi*k/N*time);
%shift_sig = cos(2*pi*k/N*time - 2*pi*10/N);
% figure;
% plot(time, sig ,'r');
% hold on;
% plot(time, shift_sig, 'g--');
% grid on;
% 
% return


SIG = fft(sig);
mag_SIG = abs(SIG);
phase_SIG = angle(SIG);

new_SIG = mag_SIG .* exp(j*phase_SIG);
new_sig = real (ifft(new_SIG));

%Plot orignal and reconstructed signal
figure;
plot(time, sig ,'r');
hold on;
plot(time, new_sig, 'g--');

%Plot the fft
figure; 
subplot(2,1,1), stem(mag_SIG);
subplot(2,1,2), stem(phase_SIG .* (mag_SIG > 1));

%Modify the original fft
modify_index = find(mag_SIG == max(mag_SIG)); 
%PHASE_SHIFT  =  2*pi*10/N;
PHASE_SHIFT  =  2*pi*10/N;

%phase_SIG = phase_SIG - PHASE_SHIFT *;
phase_SIG(modify_index) = phase_SIG(modify_index) + PHASE_SHIFT* sign(phase_SIG(modify_index));

new_SIG = mag_SIG .* exp(j*phase_SIG);
new_sig = real (ifft(new_SIG));

%Plot orignal and reconstructed signal
figure;
plot(time, sig ,'r');
hold on;
plot(time, new_sig, 'g--');
grid on;

return;
    

%Plot the fft
figure; 
subplot(2,1,1), plot(mag_SIG);
hold on; plot(abs(fft(new_SIG)),'g--');
subplot(2,1,2), plot(phase_SIG);
hold on; plot(unwrap(angle(fft(new_SIG)),'g--'));



