function fig = s2_gui()
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

load s2_gui

h0 = figure('Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'HandleVisibility','callback', ...
	'Name','SIGNALS s2_gui', ...
	'NumberTitle','off', ...
	'PointerShapeCData',mat1, ...
	'Position',[20 156 585 415], ...
	'Tag','Fig1');
h1 = axes('Parent',h0, ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'Color',[1 1 1], ...
	'ColorOrder',mat2, ...
	'Layer','top', ...
	'Position',mat3, ...
	'Tag','Axes1', ...
	'XColor',[0 0 0], ...
	'XLim',[-0.005804988662131519 3.929977324263039], ...
	'XLimMode','manual', ...
	'YColor',[0 0 0], ...
	'YLim',[-21.533203125 5534.033203125], ...
	'YLimMode','manual', ...
	'ZColor',[0 0 0]);
h2 = image('Parent',h1, ...
	'CData',mat4, ...
	'CDataMapping','scaled', ...
	'Tag','Axes1Image1', ...
	'XData',mat5, ...
	'YData',mat6);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',mat7, ...
	'String','Time', ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-0.4298257350822468 2738.669093651108 9.160254037844386], ...
	'Rotation',90, ...
	'String','Frequency', ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',[-0.6581445985392318 5955.974955498418 9.160254037844386], ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',mat8, ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[0.7418803418803418 0.5493975903614458 0.1982905982905983 0.3879518072289157], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','eval ( ''get_sig2comp_signal'');', ...
	'ListboxTop',0, ...
	'Position',[0.7555555555555555 0.8554216867469878 0.1709401709401709 0.05301204819277108], ...
	'String','Select signal', ...
	'Tag','push_select');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[0.7504273504273504 0.1686746987951807 0.1897435897435897 0.344578313253012], ...
	'Style','frame', ...
	'Tag','Frame3');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[0.7726495726495726 0.7590361445783131 0.1572649572649573 0.04096385542168674], ...
	'String','Sample at', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','eval (''set_s2_fs'');', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',mat9, ...
	'String','11025', ...
	'Style','edit', ...
	'Tag','edit_fs');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'ListboxTop',0, ...
	'Position',[0.8923076923076923 0.7060240963855421 0.03760683760683761 0.04819277108433735], ...
	'String','Hz', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'ListboxTop',0, ...
	'Position',[0.7606837606837607 0.6313253012048192 0.1641025641025641 0.04096385542168674], ...
	'String','Bits per sample', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','eval (''set_s2_bps'');', ...
	'ListboxTop',0, ...
	'Position',[0.7811965811965812 0.5927710843373494 0.1316239316239316 0.04096385542168674], ...
	'String',mat10, ...
	'Style','popupmenu', ...
	'Tag','pop_bps', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','eval (''set_options'');', ...
	'ListboxTop',0, ...
	'Position',[0.7743589743589743 0.4265060240963855 0.1487179487179487 0.04337349397590361], ...
	'String',mat11, ...
	'Style','popupmenu', ...
	'Tag','pop_option', ...
	'Value',3);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[0.7675213675213675 0.4698795180722891 0.1452991452991453 0.04096385542168674], ...
	'String','View', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','eval ( ''play_sig2c_org'');', ...
	'ListboxTop',0, ...
	'Position',[0.7743589743589743 0.3493975903614457 0.147008547008547 0.05301204819277108], ...
	'String','Play original', ...
	'Tag','push_org');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','eval (''play_sig2c_mod'');', ...
	'ListboxTop',0, ...
	'Position',[0.776068376068376 0.2746987951807229 0.147008547008547 0.05301204819277108], ...
	'String','Play modified', ...
	'Tag','push_mod');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','clear;close all;', ...
	'ListboxTop',0, ...
	'Position',[0.7777777777777777 0.1927710843373494 0.147008547008547 0.05301204819277108], ...
	'String','Quit demo', ...
	'Tag','push_quit', ...
	'UserData',mat12);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[0.06153846153846154 0.01686746987951807 0.6752136752136752 0.05060240963855421], ...
	'String','Source- button.wav; 3.9482 secs ;fs= 11025 Hz', ...
	'Style','text', ...
	'Tag','txt_info');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval (''set_check'');', ...
	'ListboxTop',0, ...
	'Position',[0.7777777777777777 0.7638554216867469 0.02905982905982906 0.03614457831325301], ...
	'Style','checkbox', ...
	'Tag','check_fs');
if nargout > 0, fig = h0; end
