function sig = get_nle_signal()

%[name,path] = uigetfile('*.*','Please select a wav file');
%Select the wave file location automatically
fid = fopen('SIVAwavDirLoc.txt');
if (fid < 0)
    wav_dir = pwd;
else
   wav_dir = fgetl(fid);
   fclose(fid);
end
temp_ind = findstr(wav_dir,'mod_');
if (~isempty(temp_ind))
wav_dir(temp_ind(1):end)=[];
wav_dir = [wav_dir 'wav_files'];
end
[name,path] = uigetfile([wav_dir '\*.*'],'Please select a wav file');

file_path = [path,name];

if ( ~(isstr(name)) | ~(isstr(path)) )
   sig =[];
   return;
end

[data freq bits] = wavread(file_path);
time = length(data)/freq;
info = ['Source- ' name '; ' num2str(time) ' secs ;fs= ' num2str(freq) ' Hz' ];

s=[];
s.data=data;s.freq = freq;s.bits = bits;s.info=info;s.time=time;
sig = s;