function fig = fremez_gui()
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

load fremez_gui

h0 = figure('Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'HandleVisibility','callback', ...
	'Name','REMEZ fremez_gui', ...
	'NumberTitle','off', ...
	'PointerShapeCData',mat1, ...
	'Position',[42 29 681 211], ...
	'Tag','Fig1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[19.5 24 93 87], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[130.5 27 137.25 83.25], ...
	'Style','frame', ...
	'Tag','Frame3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval( ''set_remez_type'');', ...
	'ListboxTop',0, ...
	'Position',[27 79.5 76.5 15], ...
	'String',mat2, ...
	'Style','popupmenu', ...
	'Tag','fil_type', ...
	'UserData','low', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval( ''set_remez_f1'');', ...
	'ListboxTop',0, ...
	'Min',0.01, ...
	'Position',[162.75 88.5 68.25 15], ...
	'Style','slider', ...
	'Tag','slider_f1', ...
	'UserData',0.01, ...
	'Value',0.01);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval( ''set_remez_f3'');', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Min',0.01, ...
	'Position',[163.5 51 68.25 15], ...
	'Style','slider', ...
	'Tag','slider_f3', ...
	'UserData',0.74, ...
	'Value',0.74656);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval( ''set_remez_f2'');', ...
	'ListboxTop',0, ...
	'Min',0.01, ...
	'Position',[163.5 69 68.25 15], ...
	'Style','slider', ...
	'Tag','slider_f2', ...
	'UserData',0.3, ...
	'Value',0.30898);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval( ''set_remez_f4'');', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Min',0.01, ...
	'Position',[162.75 30.75 68.25 15], ...
	'Style','slider', ...
	'Tag','slider_f4', ...
	'UserData',0.91, ...
	'Value',0.9198000000000001);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[237 90.75 16.5 14.25], ...
	'String','0.01', ...
	'Style','text', ...
	'Tag','Static_f1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[236.25 70.5 18 12.75], ...
	'String','0.3', ...
	'Style','text', ...
	'Tag','Static_f2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[235.5 48 18.75 14.25], ...
	'String','0.74', ...
	'Style','text', ...
	'Tag','Static_f3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[235.5 30 18.75 14.25], ...
	'String','0.91', ...
	'Style','text', ...
	'Tag','Static_f4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[138.75 89.25 24 13.5], ...
	'String','F1', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[137.25 68.25 24 13.5], ...
	'String','F2', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[138 46.5 24 13.5], ...
	'String','F3', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[137.25 32.25 24 13.5], ...
	'String','F4', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[17.25 113.25 92.25 12.75], ...
	'String','Filter Parameters', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[36.75 97.5 45.75 10.5], ...
	'String','Type', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[142.5 111 114 12.75], ...
	'String','Cut off frequencies', ...
	'Style','text', ...
	'Tag','StaticText8');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[26.25 54 45 12.75], ...
	'String','Order', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[280.5 27 96 82.5], ...
	'Style','frame', ...
	'Tag','Frame2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval(''disp_remez_mag'');', ...
	'ListboxTop',0, ...
	'Position',[290.25 90.75 78.75 15], ...
	'String','Display_mag', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval (''disp_remez_zeros'');', ...
	'ListboxTop',0, ...
	'Position',[290.25 51.75 78.75 15], ...
	'String','Display zeros', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'FontSize',14, ...
	'ListboxTop',0, ...
	'Position',[150.75 127.5 197.25 18], ...
	'String','Remez Exchange Algorithm', ...
	'Style','text', ...
	'Tag','StaticText5');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','clear; close all;', ...
	'ListboxTop',0, ...
	'Position',[291.75 31.5 77.25 14.25], ...
	'String','QUIT DEMO', ...
	'Tag','push_quit', ...
	'UserData',mat3);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[388.5 27 88.5 81], ...
	'Style','frame', ...
	'Tag','Frame4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[111.75 6.75 273.75 14.25], ...
	'String','Source- aladdin1.wav; 4.4557 secs ;fs= 11025 Hz', ...
	'Style','text', ...
	'Tag','txt_info');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval (''get_remez_signal'');', ...
	'ListboxTop',0, ...
	'Position',[399 90 69 14.25], ...
	'String','Select signal', ...
	'Tag','Pushbutton3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval (''play_remez_org'');', ...
	'ListboxTop',0, ...
	'Position',[398.25 71.25 69 14.25], ...
	'String','Play org', ...
	'Tag','Pushbutton3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval (''play_remez_mod'');', ...
	'ListboxTop',0, ...
	'Position',[398.25 52.5 69 14.25], ...
	'String','Play filtered', ...
	'Tag','Pushbutton3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval (''freq_remez_resp'');', ...
	'ListboxTop',0, ...
	'Position',[399 31.5 69 14.25], ...
	'String','Freq resp', ...
	'Tag','Pushbutton3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval(''set_remez_order'');', ...
	'ListboxTop',0, ...
	'Max',100, ...
	'Min',3, ...
	'Position',[27.75 33.75 48.75 12], ...
	'Style','slider', ...
	'Tag','slider_order', ...
	'UserData',30, ...
	'Value',30.15999999999999);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','eval(''set_remez_order'');', ...
	'ListboxTop',0, ...
	'Position',[82.5 31.5 25.5 15.75], ...
	'String','30', ...
	'Style','text', ...
	'Tag','static_order');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval(''disp_remez_mag'');', ...
	'ListboxTop',0, ...
	'Position',[292.5 72 19.5 13.5], ...
	'Style','checkbox', ...
	'Tag','check_phase');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[306.75 69 62.25 15.75], ...
	'String','Unwrap phase', ...
	'Style','text', ...
	'Tag','StaticText6');
if nargout > 0, fig = h0; end
