function init_phase_fig

%Initialization
fig_handles = guihandles;
set(gcbf,'DoubleBuffer','on');
%set(handles.axes_sig,'NextPlot','ReplaceChildren');
%set(handles.axes_phase,'NextPlot','ReplaceChildren');

N = 64; k = 4;
time = 0:1:N-1;
sig = cos(2*pi*k/N*time);
%sig = sin(2*pi*k/N*time);
axes(fig_handles.axes_sig); 
hold on; cla;
plot(time,sig,'r','LineWidth',2);hold on;
h = plot(time,sig,'g--','LineWidth',2);
set(h,'ButtonDownFcn', 'animator start');
axis([min(time) max(time) min(sig) max(sig)]);
hold off;

axes(fig_handles.axes_sig); 
hold on; cla;
plot(time,sig,'r');hold on;
h = plot(time,sig,'g--');
set(h,'ButtonDownFcn', 'animator start');
axis([min(time) max(time) min(sig) max(sig)]);

SIG = fft(sig);mag_SIG = abs(SIG);phase_SIG = angle(SIG);
N_fft = length(SIG);
fft_axis = linspace(-0.5,0.5,N_fft);
axes(fig_handles.axes_phase);
hold on; cla;
%plot(fft_axis, fftshift(phase_SIG .* (mag_SIG > 1)),'r','LineWidth',3);
%plot(fft_axis, fftshift(phase_SIG .* (mag_SIG > 1)),'g--');

plot( fftshift(phase_SIG .* (mag_SIG > 1)),'r','LineWidth',3);
plot( fftshift(phase_SIG .* (mag_SIG > 1)),'g--');
axis([0 length(time) -pi pi]);
%axis([-0.5 0.5 -pi pi]);