function init_shear_gui(filepath)

if (nargin < 1) filepath = 'egg.wav'; end;

%Initialization
fig_handles = guihandles;
set(fig_handles.text_slope,'Visible','Off');
set(gcbf,'DoubleBuffer','on');

%set(handles.axes_sig,'NextPlot','ReplaceChildren');
%set(handles.axes_phase,'NextPlot','ReplaceChildren');

%Figure out mid length of phase response
%filepath = get(fig_handles.push_select,'UserData');
set(fig_handles.push_select,'UserData',filepath);
[orig_sound, fs, nbits] = wavread(filepath);
axes(fig_handles.axes_sig);
cla; hold on;
plot(orig_sound + 2,'r'); axis tight;
plot(orig_sound,'g'); axis tight;
xlabel('Sample Number');




%N = length(orig_sound);
if (mod(length(orig_sound),2) == 0)
    N = (length(orig_sound)- 2)/2 ;
else
    N = (length(orig_sound)- 1)/2 ;
end




%x_axis = [0:N/2-1];
%x_axis = [0:N-1];
x_axis = [0:N-1]*pi/N;
lin_line = zeros(1,length(x_axis));
%lin_line = x_axis;
axes(fig_handles.axes_phase);
cla; hold on;
h = plot(x_axis, lin_line,'r'); 
h = plot(x_axis, lin_line,'y','LineWidth',2); 
set(h,'ButtonDownFcn', 'shear_animator start');
%axis tight;
axis([min(x_axis),max(x_axis), -100 100 ]);
xlabel('Digital Frequency'); ylabel('Shift (Samples)');

my_data.lin_x = x_axis;
my_data.lin_y  = lin_line;
my_data.cur_x = x_axis;
my_data.cur_y = lin_line;
my_data.start_Y = 0;
my_data.filepath = filepath;
%my_data.shear_line = lin_line;

guidata(fig_handles.axes_phase,my_data);%Store the data with the figue
%set(gcf,'UserData',my_data);
update_time_sig;

return;


